View Issue Details

IDProjectCategoryView StatusLast Update
0007159Talerexchangepublic2022-02-19 21:35
ReporterFlorian Dold Assigned ToChristian Grothoff  
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Versiongit (master) 
Target Version0.9Fixed in Version0.9 
Summary0007159: exchange requires postgres>=13, does not work on focal-fossa anymore
DescriptionDue to foreign key constraints on partitioned tables, we don't support postgres=12 anymore. This is a problem on Ubuntu focal-fossa only supports postgresql-12 (https://packages.ubuntu.com/focal/postgresql).
TagsNo tags attached.

Activities

Florian Dold

2022-01-25 00:39

manager   ~0018664

In particular, the following error message appears on postgres=12 but not on 13:

psql:/home/demo-green/local/share/taler/sql/exchange/exchange-0001.sql:142: ERROR: cannot reference partitioned table "reserves"
2022-01-24T23:56:37.088736+0100 taler-exchange-dbinit-2163761 WARNING Could not run PSQL on file /home/demo-green/local/share/taler//sql/exchange/exchange-0001.sql: psql exit code was 3

Christian Grothoff

2022-01-25 22:59

manager   ~0018669

Yeah, that's an easy back-port, if we simply disable partitioning. Will do near the release if deemed necessary...

Christian Grothoff

2022-02-19 21:35

manager   ~0018703

bc3ec563..3f23bede now documents the requirement for Postgres 13. I no longer see a strong reason to support Focal Fossa...

Issue History

Date Modified Username Field Change
2022-01-25 00:38 Florian Dold New Issue
2022-01-25 00:38 Florian Dold Status new => assigned
2022-01-25 00:38 Florian Dold Assigned To => Christian Grothoff
2022-01-25 00:39 Florian Dold Note Added: 0018664
2022-01-25 22:59 Christian Grothoff Note Added: 0018669
2022-02-19 21:35 Christian Grothoff Status assigned => resolved
2022-02-19 21:35 Christian Grothoff Resolution open => fixed
2022-02-19 21:35 Christian Grothoff Fixed in Version => 0.9
2022-02-19 21:35 Christian Grothoff Note Added: 0018703
2022-02-19 21:35 Christian Grothoff Product Version => git (master)
2022-02-19 21:35 Christian Grothoff Target Version => 0.9